Skip to main content
GET
/
api
/
apps
/
marketplaceapplications
/
calendar

Authentication

This endpoint requires OAuth2 authentication. Include a valid bearer token in the Authorization header.

Query Parameters

marketplace_id
string
required
The unique id of your marketplace application
location_id
string
required
The unique id of a location
resource_id
string
The unique id of the location to get the calendar for
start_local
string (date)
The earliest date to show bookings for. The date and time are parsed in the local time of the passed in location. Defaults to the current date and time.
duration_minutes
integer (int32)
The amount of minutes after the start_local time to show data for. Defaults to 60 minutes.

Response

Example Response
[
  {
    "booking": {
      "id": "d9b8982f-1046-4bf7-afec-e7eeb6b80fd3",
      "from_time": "2022-03-18T15:15:00Z",
      "to_time": "2022-03-18T16:15:00Z",
      "from_time_local": "2022-03-18T08:15:00+00:00",
      "to_time_local": "2022-03-18T09:15:00+00:00",
      "customer": {
        "id": "d086e74f-9811-4704-b7a0-f9643b7c888b"
      },
      "resource": {
        "id": "8a0a7377-d8b5-41de-9342-4d531cecc0da",
        "name": "Router Room"
      }
    },
    "type": "bookingconfirmed"
  }
]

Example Request

curl -X GET \
  "https://spaces.nexudus.com/api/apps/marketplaceapplications/calendar" \
  -H "Authorization: Bearer YOUR_TOKEN"